# Bluetooth Pairing 

### ~hint
![](/static/bluetooth/Bluetooth_SIG.png)

For another device like a smartphone to be able to connect to a micro:bit and uses its Bluetooth 'services' it must first be 'paired'.

### ~

### What is 'pairing'?

'Pairing' is what you have to do to have your micro:bit trust another device like a smartphone and similarly, have your smartphone trust your micro:bit. Why 'trust'? Well, pairing is all about security. You wouldn't usually want just anyone's smartphone connecting to your micro:bit and making it do things so by pairing *your* smartphone with *your* micro:bit you ensure that only your devices can talk to each other.     

Once you've paired your micro:bit with another device it also means that they are able to exchange information privately, without someone else being able to "see" the data they're exchanging over the air using Bluetooth. This is accomplished by data being [encrypted](https://en.wikipedia.org/wiki/Encryption) and pairing makes it possible for devices who trust each other to encrypt and decrypt data from each other.

# How do you pair your micro:bit with another device?

Making your micro:bit pair requires you to follow some simple steps which will be described shortly. What you do with the device you're pairing it to will vary slghtly depending on what that device is. We'll look at how it's done with common smartphones and tablets here too.

To get your micro:bit ready for pairing do the following:

1. Hold down buttons A and B on the front of your micro:bit together. The front is the side with two buttons and the LED display. Keep the two buttons held down. Don't let go of them yet!
2. While still holding down buttons A and B, press and then release the reset button on the back of the micro:bit. Keep holding down buttons A and B.
3. You should see "PAIRING MODE!" start to scroll across the micro:bit display. When you see this message start to appear you can release buttons A and B.
4. Eventually you'll see a strange pattern on your micro:bit display. This is like your micro:bit's signature. Other people's micro:bits will probably display a different pattern.

Your micro:bit is now ready to be paired with the other device. Read the section below which relates to your 'other' device and watch the video too. 

### How do you pair your micro:bit with a Windows smartphone or tablet?


### How do you pair your micro:bit with an Android smartphone or tablet?

Pairing an Android device with a micro:bit is done in the Settings screen. These are the steps to follow. If you have problems watch the video which may help.

### How do you pair your micro:bit with an Apple iOS smartphone or tablet?

### Video - How to pair a micro:bit with a Windows smartphone

https://www.youtube.com/watch?v=AoW3mit7jIg

### Video - How to pair a micro:bit with an Android smartphone or tablet

https://www.youtube.com/watch?v=7hLBfdAGkZI

### Video - How to pair a micro:bit with an Apple iOS smartphone or tablet

https://www.youtube.com/watch?v=wslwyAMwMhs


### How often do I need to pair my micro:bit with my phone?



### See also

[Bluetooth SIG](https://www.bluetooth.com), [Bluetooth on micro:bit resources](http://bluetooth-mdw.blogspot.co.uk/p/bbc-microbit.html)

```package
microbit-bluetooth
```